Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface DocumentLibraryACL

    public interface DocumentLibraryACL

Method Summary
`void` | `addMembers(LibraryMemberRole role, java.lang.String[] members)`
`java.lang.String[]` | `getMembers(LibraryMemberRole role)`
`boolean` | `isInherited(LibraryMemberRole role)`
`boolean` | `isPropagated(LibraryMemberRole role)`
`void` | `removeMembers(LibraryMemberRole role, java.lang.String[] members)`
`void` | `setInheritance(LibraryMemberRole role, boolean inherit)`
`void` | `setPropagation(LibraryMemberRole role, boolean propagate)`

Method Detail

### getMembers

    java.lang.String[] getMembers(LibraryMemberRole role)

  Parameters:
    `role` - the library member role. See `LibraryMemberRoles` for the list of available roles.
  Returns:
    a string array of library (or library resource) members for the given role

### addMembers

    void addMembers(LibraryMemberRole role,
                    java.lang.String[] members)

  Parameters:
    `role` - the library member role. See `LibraryMemberRoles` for the list of available roles.
    `members` - string array of members to be added under the given role

### removeMembers

    void removeMembers(LibraryMemberRole role,
                       java.lang.String[] members)

  Parameters:
    `role` - the library member role. See `LibraryMemberRoles` for the list of available roles.
    `members` - string array of members to be removed under the given role

### isInherited

    boolean isInherited(LibraryMemberRole role)

  Parameters:
    `role` - the library member role. See `LibraryMemberRoles` for the list of available roles.
  Returns:
    a flag indicate whether inheritance is enabled for the given role

### setInheritance

    void setInheritance(LibraryMemberRole role,
                        boolean inherit)

  Parameters:
    `role` - the library member role. See `LibraryMemberRoles` for the list of available roles.
    `inherit` - a flag indicate whether inheritance is set to be enabled

### isPropagated

    boolean isPropagated(LibraryMemberRole role)

  Parameters:
    `role` - the library member role. See `LibraryMemberRoles` for the list of available roles.
  Returns:
    a flag indicate whether propagation is enabled for the given role

### setPropagation

    void setPropagation(LibraryMemberRole role,
                        boolean propagate)

  Parameters:
    `role` - the library member role. See `LibraryMemberRoles` for the list of available roles.
    `propagate` - a flag indicate whether propagation is set to be enabled

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD